OpenEMMBackend is NOT installed or NOT running

Use this forum for questions regarding installation, upgrading and configuration of OpenEMM

Moderator: moderator

Manoj Sreepada
Posts: 21
Joined: Thu Aug 06, 2020 1:32 pm

OpenEMMBackend is NOT installed or NOT running

Post by Manoj Sreepada » Wed Sep 09, 2020 3:49 pm

Hi, We get the following Error:

= OpenEMM Installer v20.04.003 =
================================
Root mode: On
Host: mail1
License: OpenEMM (ID: 0)
Runtime Version: 20.04.000.043
Manual Version: 20.04.011
OpenEMM Version: 20.04.000.188
System-Url: http://xxxxxxxxxxxxxxxxxxxxx
OpenEMMBackend Version: 20.04.000.181

Current configuration changes or updates need the OpenEMM system to be restarted.

Current menu: Show OpenEMM status

OpenEMM status:
Command 'su -c "/home/openemm/bin/backend.sh status" openemm' returned non-zero exit status 1.
Operating System (OS): CentOS 7
Python version: 3.8.1 (default, Sep 9 2020, 12:53:50) [GCC 4.8.5 20150623 (Red Hat 4.8.5-39)]
Sendmail Version: 8.14.7
DB client version: /usr/bin/mysql Ver 15.1 Distrib 10.2.22-MariaDB, for Linux (x86_64) using EditLine wrapper
Database Connection: OK
Database version: MariaDB 10.2.22-MariaDB
OpenEMM database structure exists (Version 20.07.383)
Currently running database threads ratio (Current: 1, Maximum: 6): 0.167
Database table emm_db_errorlog_tbl: OK
Jobqueue status: OK
No DKIM keys
Java version: 11.0.8 (Oracle)
Tomcat version: 9.0.33.0
Tomcat-Native version: 1.2.23
Wkhtml version: wkhtmltopdf 0.12.6 (with patched qt)
OpenEMMApplication is running (Tomcat ProcessID: 8515, started at: 14:00 3:02)
OpenEMMBackend is NOT installed or NOT running

Thanks,

rodig03
Posts: 44
Joined: Thu Sep 18, 2014 1:27 pm

Re: OpenEMMBackend is NOT installed or NOT running

Post by rodig03 » Wed Sep 09, 2020 4:45 pm

Hi, did you run the OpenemmInstall.sh using
sudo bin/OpenemmInstall.sh
?
You need to do this, then choose 4 - install and update, and skip all parts installed until you reach the backend part.
That's how it worked for me.

Robert

Manoj Sreepada
Posts: 21
Joined: Thu Aug 06, 2020 1:32 pm

Re: OpenEMMBackend is NOT installed or NOT running

Post by Manoj Sreepada » Thu Sep 10, 2020 8:48 am

openemm-backend Log file: /home/openemm/release/log/update_2020-09-10_07-46-01.log

Update started at: 2020-09-10_07:46:01
Update package url: https://share.agnitas.de/index.php/s/Ts ... C/download
Update package file: openemm-runtime-20.04.000.043.tar.gz
Declined installation of version '20.04.000.043' for application 'runtime'
Update package url: https://share.agnitas.de/index.php/s/Tz ... E/download
Update package file: apache-tomcat-9.0.33.tar.gz
Declined installation of version '9.0.33' for application 'tomcat'
Update package url: https://share.agnitas.de/index.php/s/0Q ... F/download
Update package file: apache-tomcat-native-1.2.23-CentOS7.tar.gz
Declined installation of version '1.2.23' for application 'tomcat-native'
Update package url: https://share.agnitas.de/index.php/s/K3 ... w/download
Update package file: openemm-frontend-20.04.000.188.tar.gz
Declined installation of version '20.04.000.188' for application 'frontend'
Update package url: https://share.agnitas.de/index.php/s/37 ... s/download
Update package file: openemm-manual-20.04.011.tar.gz
Declined installation of version '20.04.011' for application 'manual'
Update package url: https://share.agnitas.de/index.php/s/5l ... K/download
Update package file: openemm-backend-20.04.000.181.tar.gz
Downloaded to file '/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz'
Installing "/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz"
Extracted file '/home/openemm/release/backend/openemm-backend-20.04.000.181.tar.gz' in path '/home/openemm/release/backend/V20.04.000.181'
Created new backend symlinks
Update ended at: 2020-09-10_07:46:28

Thanks,

Manoj Sreepada
Posts: 21
Joined: Thu Aug 06, 2020 1:32 pm

Re: OpenEMMBackend is NOT installed or NOT running

Post by Manoj Sreepada » Thu Sep 10, 2020 8:55 am

Hi,

When Restart the OpenEMM We get the following Error:

= OpenEMM Installer v20.04.003 =
================================
Root mode: On
Host: mail1
License: OpenEMM (ID: 0)
Runtime Version: 20.04.000.043
Manual Version: 20.04.011
OpenEMM Version: 20.04.000.188
System-Url: http://mail1.reliabilityinfo.co.in
OpenEMMBackend Version: 20.04.000.181

Current menu: Restart OpenEMM

Restart OpenEMM Server
Are you sure? (y/N, Blank => Cancel):
> y
Stopping ...
Using /home/openemm/bin/setenv.sh
Using additional properties: /home/openemm/tomcat9/bin/emm.sh.additional.properties
########################
# Shutting down Tomcat #
########################
Using CATALINA_BASE: /home/openemm/tomcat
Using CATALINA_HOME: /home/openemm/opt/tomcat
Using CATALINA_TMPDIR: /home/openemm/temp
Using JRE_HOME: /usr/lib/jvm/java
Using CLASSPATH: :/home/openemm/tomcat/lib/derby.jar:/home/openemm/tomcat/lib/mariadb-java-client-2.1.2.jar:/home/openemm/opt/tomcat/bin/bootstrap.jar:/home/openemm/opt/tomcat/bin/tomcat-juli.jar
NOTE: Picked up JDK_JAVA_OPTIONS: --add-opens=java.base/java.lang=ALL-UNNAMED --add-opens=java.base/java.io=ALL-UNNAMED --add-opens=java.rmi/sun.rmi.transport=ALL-UNNAMED
Waiting for shutdown of Tomcat(MAX 20 Seconds):.
Delete Working directory
Error: [Errno 13] Permission denied: '/home/openemm/.venv.3.8.1.final.0'
/home/openemm/scripts/config.sh: line 255: /home/openemm/var/log/20200910-mail1-service.sh.log: No such file or directory
Please install a python3 version 3.8 or later to /home/openemm/opt/python3
Starting ...
Error: [Errno 13] Permission denied: '/home/openemm/.venv.3.8.1.final.0'
/home/openemm/scripts/config.sh: line 255: /home/openemm/var/log/20200910-mail1-service.sh.log: No such file or directory
Please install a python3 version 3.8 or later to /home/openemm/opt/python3
Using /home/openemm/bin/setenv.sh
Using additional properties: /home/openemm/tomcat9/bin/emm.sh.additional.properties

Checking backend directories
Error: [Errno 13] Permission denied: '/home/openemm/.venv.3.8.1.final.0'
/home/openemm/scripts/config.sh: line 255: /home/openemm/var/log/20200910-mail1-sanity.sh.log: No such file or directory
Please install a python3 version 3.8 or later to /home/openemm/opt/python3

what can we do?

Thanks, Please Advice for Any help.

maschoff
Site Admin
Posts: 2493
Joined: Thu Aug 03, 2006 10:20 am
Location: Munich, Germany
Contact:

Re: OpenEMMBackend is NOT installed or NOT running

Post by maschoff » Thu Sep 10, 2020 9:09 am

OpenEMM does not create or use file or directory /home/openemm/.venv.3.8.1.final.0. Why did you create it?
OpenEMM Maintainer

Post Reply